
From: Trivial Patch Monkey <trivial@rustcorp.com.au>

From:  Adam Lackorzynski <adam@os.inf.tu-dresden.de>

dma_map_page() can be simplified by using page_to_phys instead of writing the
calculation explicitly.


---

 25-akpm/include/asm-i386/dma-mapping.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/asm-i386/dma-mapping.h~trivial-use-page_to_phys-in-dma_map_page include/asm-i386/dma-mapping.h
--- 25/include/asm-i386/dma-mapping.h~trivial-use-page_to_phys-in-dma_map_page	2004-05-20 01:22:26.443150432 -0700
+++ 25-akpm/include/asm-i386/dma-mapping.h	2004-05-20 01:22:26.446149976 -0700
@@ -51,7 +51,7 @@ dma_map_page(struct device *dev, struct 
 	     size_t size, enum dma_data_direction direction)
 {
 	BUG_ON(direction == DMA_NONE);
-	return (dma_addr_t)(page_to_pfn(page)) * PAGE_SIZE + offset;
+	return page_to_phys(page) + offset;
 }
 
 static inline void

_
